<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableCustomerDetails extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('customer_details', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('agent_id')->comment('经销商id');
            $table->unsignedInteger('store_id')->comment('store_id');
            $table->string('open_id',255)->comment('open_id');
            $table->string('tips',255)->nullable()->default(null)->comment('标签');
            $table->unsignedInteger('purpose_level')->default(1)->comment('意向等级 1 25% 2 50% 3 75% 4 100%');
            $table->string('comment',255)->nullable()->default(null)->comment('备注');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('customer_details');
    }
}
